<?php





function verigetir($tablo,$id,$dondur){





        $ci = & get_instance();

        $ci->db->where('id', $id);

        $query = $ci->db-> get($tablo)->row_array();

        return $query[$dondur];





}





// IN in a e ekleri getirme fonksiyonları	



function ekgetir($txt) {

    function unlu($harf) {

        $unluler=array("a", "e", "ı", "i", "o", "ö", "u", "ü");

        for ($i=0;

        $i<8;

        $i++) {

            if ($harf==$unluler[$i]) {

                return true;

            }

        }

        return false;

    }

    if (strlen($txt) < 3) {

        echo "İsim en az 3 karakterden oluşmalıdır.";

    }

    else {

        $ek="";

        $son_harf=substr($txt, -1);

        if (unlu($son_harf)) {

            switch ($son_harf) {

                case "e": case "i": $ek="nin";

                break;

                case "a": case "ı": $ek="nın";

                break;

                case "o": case "u": $ek="nun";

                break;

                case "ö": case "ü": $ek="nün";

                break;

            }

        }

        else {

            $son_harf=substr($txt, -2, 1);

            switch ($son_harf) {

                case "e": case "i": $ek="in";

                break;

                case "a": case "ı": $ek="ın";

                break;

                case "o": case "u": $ek="un";

                break;

                case "ö": case "ü": $ek="ün";

                break;

            }

        }

        $txt .=$ek; // Buraya dikkat :)

        return $txt;

    }

}











// VERİTABANI BİLGİ ÇEKME FONKSİYONLARI	



	function isimogren($ad, $id)



{



    if ($ad == 'musteri')

    {



        $ci = & get_instance();



        $ci->db->where('id', $id);



        $query = $ci->db-> get('musteri')->row_array();



        return $query['ad'];



    } else if ($ad == 'istur')



    {



        $ci = & get_instance();



       $ci->db->where('id', $id);



        $query = $ci->db->get('calisantur')->row_array();



        return $query['brans'];



    } else if ($ad == 'yapan')



    {



        $ci = & get_instance();



        $ci->db-> where('id', $id);



        $query = $ci->db-> get('calisan')->row_array();



        return $query['ad'];



    } else if ($ad == 'musterilogo')



    {



        $ci = & get_instance();



        $ci->db-> where('id', $id);



        $query = $ci->db-> get('musteri')->row_array();



        return $query['logo'];



    } else if ($ad == 'yapanprofil')



    {



        $ci = & get_instance();



        $ci->db-> where('id', $id);



        $query = $ci->db-> get('calisan')->row_array();



        return $query['profil'];;



    } else if ($ad == 'musterikapak')



    {



        $ci = & get_instance();



        $ci->db-> where('id', $id);



        $query = $ci->db-> get('musteri')->row_array();



        return $query['arkafoto'];



    } else if ($ad == 'yapangorev') {



        $ci = & get_instance();



        $ci->db-> where('id', $id);



        $query = $ci->db-> get('calisantur')->row_array();

        return $query['brans'];;



    }else if ($ad == 'yapangorevid') {



        $ci = & get_instance();



        $ci->db-> where('id', $id);



        $query = $ci->db-> get('calisan')->row_array();

        return $query['tur'];;



    }



}



///ZAMAN ŞEKİLLERDİR ME FONKSİYONLARI	



function zamanonce($zaman) {

		date_default_timezone_set('Europe/Istanbul');

    $zaman = strtotime($zaman);



    $zaman_farki = time() - $zaman;



    $saniye = $zaman_farki;



    $dakika = round($zaman_farki / 60);



    $saat = round($zaman_farki / 3600);



    $gun = round($zaman_farki / 86400);



    $hafta = round($zaman_farki / 604800);



    $ay = round($zaman_farki / 2419200);



    $yil = round($zaman_farki / 29030400);



    if ($saniye < 60) {



        if ($saniye == 0) {



            return "az önce";



        } else {



            return $saniye.

            ' saniye önce';



        }



    } else if ($dakika < 60) {



        return $dakika.

        ' dakika önce';



    } else if ($saat < 24) {



        return $saat.

        ' saat önce';



    } else if ($gun < 7) {



        return $gun.

        ' gün önce';



    } else if ($hafta < 4) {



        return $hafta.

        ' hafta önce';



    } else if ($ay < 12) {



        return $ay.

        ' ay önce';



    } else {



        return $yil.

        ' yıl önce';



    }



}



//2019-08-22 00:03:28  bunda 00:03 ü alıyor



function saatdakikagoster($zaman) {



    $tarihbol = $zaman;



    $dilimler = explode(" ", $tarihbol);



    $dilimler2 = explode(":", $dilimler[1]);



    return $dilimler2[0].

    ":".$dilimler2[1];



}



///ZAMAN ŞEKİLLERDİR ME FONKSİYONLARI



//anasayfa fonksiyonlar

/*Toplam iş sayısı ve rezilezi iş sayısı yazdırmak*/



function toplamisadet() {

    $ci = & get_instance();

    $query = $ci->db-> query("SELECT * FROM  isler ")->result_array();

    return count($query);

}

// onay 2 revizeli   

function revizeisadet() {

    $ci = & get_instance();

    $query = $ci->db-> query("SELECT * FROM  isler Where onay=2 ")->result_array();

    return count($query);

}

// onay 2 revizeli   

function onayisadet() {

    $ci = & get_instance();

    $query = $ci->db-> query("SELECT * FROM  isler Where onay=3 ")->result_array();

    return count($query);

}



// anasayfa fonksiyonlar





//MUHASEBE 



function toplamgelir() {

    $ci = & get_instance();

    $gmuhasebe = $ci->db-> query("SELECT fiyat FROM  gmuhasebe Where tur=1 ")->result_array();

	$toplamfiyat=0;

    foreach($gmuhasebe as $g)

	{

		if (is_numeric($g['fiyat']))

		{

			$toplamfiyat=$toplamfiyat + $g['fiyat'];

		}

		

	}

	return $toplamfiyat;

}



function toplamgider() {

	//g muhasebede normal giderleri topluyoruz

    $ci = & get_instance();

    $gmuhasebe = $ci->db-> query("SELECT fiyat FROM  gmuhasebe Where tur=2 ")->result_array();

	$toplamfiyat=0;

    foreach($gmuhasebe as $g)

	{

		if (is_numeric($g['fiyat']))

		{

			$toplamfiyat=$toplamfiyat + $g['fiyat'];

		}

		

	}

	

	// çalışanlara verilen iş paralarını topluyoruz

	$ci = & get_instance();

    $gmuhasebe = $ci->db-> query("SELECT fiyat FROM  cmuhasebe Where durum=1 ")->result_array();

    foreach($gmuhasebe as $g)

	{

		if (is_numeric($g['fiyat']))

		{

			$toplamfiyat=$toplamfiyat + $g['fiyat'];

		}

		

	}

	

	

	return $toplamfiyat;

}



function toplamalinacak() {

    $ci = & get_instance();

    $gmuhasebe = $ci->db-> query("SELECT fiyat FROM  gmuhasebe Where tur=4 ")->result_array();

	$toplamfiyat=0;

    foreach($gmuhasebe as $g)

	{

		if (is_numeric($g['fiyat']))

		{

			$toplamfiyat=$toplamfiyat + $g['fiyat'];

		}

		

	}

	return $toplamfiyat;

}





function toplambekleme() {

	

	

	// çalışanlara bekleyen iş paralarını topluyoruz

	$ci = & get_instance();

    $cmuhasebe = $ci->db-> query("SELECT fiyat FROM cmuhasebe Where durum=0")->result_array();

	$toplamfiyat=0;

    foreach($cmuhasebe as $g)

	{

		if (is_numeric($g['fiyat']))

		{

			$toplamfiyat=$toplamfiyat + $g['fiyat'];

		}

		

	}

	

	

	return $toplamfiyat;

}



//MUHASEBE







//REVİZE Fonksiyon



//mesajı alan kişiyi belirliyoruz	

function alankisi($isid,$useryetki,$userid) {

				

			$ci = & get_instance();



			$alan=array();

			

		

			if ($useryetki==1)

			{

				//admin ise hem çalışana hem kendi hariç adminlere revize atıyoruz



				

				$calisansorgu = $ci->db-> query("SELECT * FROM  isler Where id=$isid")->row_array();

				//yapan çalışanı  ekledik

				return $calisansorgu['yapan'];

				

				/*

				$alan[]=$calisansorgu['yapan'];

				$adminler = $ci->db-> query("SELECT * FROM  calisan Where id!=userid AND tur=1")->result_array();

				foreach($adminler as $admin){

					//kendi hariç diğer adminleri ekledik

					$alan[]=$admin['id'];

				}

	 

				return json_encode($alan);*/

			}else{

				

				$adminsorgu = $ci->db-> query("SELECT * FROM  isler Where id=$isid")->row_array();

				//yapan çalışanı  ekledik

				return $adminsorgu['ekleyen'];

				

				

				/*//Çalışan İse Tüm adminlere Gidecek

				$adminler = $ci->db-> query("SELECT * FROM  calisan Where tur=1")->result_array();

				foreach($adminler as $admin){

					//kendi hariç diğer adminleri ekledik

					$alan[]=$admin['id'];

				}

				

				return json_encode($alan); */

			}

}



//REVİZE Fonksiyon









/// byte to mb



function formatBytes($size, $precision = 2)

{

    $base = log($size, 1024);

    $suffixes = array('', 'K', 'M', 'G', 'T');   



    return round(pow(1024, $base - floor($base)), $precision) .' '. $suffixes[floor($base)];

}



function tarihyazdir($tarih)

{

  

 

	$dilimler = explode("-", $tarih);

/* $dilimler[0]; // yıl

 $dilimler[1]; // ay

 $dilimler[2]; // gun

 */

  

  $dondur=$dilimler[2]."/".$dilimler[1]."/".$dilimler[0];

  return $dondur;

  

}





//dosya adı oluşturma    echo dosyaadver('Burcu Fırın','Grafik','Adnan inci');

function dosyaadver($musteri,$istur,$yapan) {

	

	$istur   =isimogren('istur', $istur);

	$musteri =isimogren('musteri', $musteri);

	$yapan   =isimogren('yapan', $yapan);

	

	

	$musteri=seourl($musteri);

	$istur=seourl($istur);

	$yapan=seourl($yapan);

	

	$dosyaad=$musteri."-".$istur."-".$yapan;

	

	return $dosyaad;

}





function seourl($str, $options = array())

 {

     $str = mb_convert_encoding((string)$str, 'UTF-8', mb_list_encodings());

     $defaults = array(

         'delimiter' => '-',

         'limit' => null,

         'lowercase' => true,

         'replacements' => array(),

         'transliterate' => true

     );

     $options = array_merge($defaults, $options);

     $char_map = array(

         // Latin

         'À' => 'A', 'Á' => 'A', 'Â' => 'A', 'Ã' => 'A', 'Ä' => 'A', 'Å' => 'A', 'Æ' => 'AE', 'Ç' => 'C',

         'È' => 'E', 'É' => 'E', 'Ê' => 'E', 'Ë' => 'E', 'Ì' => 'I', 'Í' => 'I', 'Î' => 'I', 'Ï' => 'I',

         'Ð' => 'D', 'Ñ' => 'N', 'Ò' => 'O', 'Ó' => 'O', 'Ô' => 'O', 'Õ' => 'O', 'Ö' => 'O', 'Ő' => 'O',

         'Ø' => 'O', 'Ù' => 'U', 'Ú' => 'U', 'Û' => 'U', 'Ü' => 'U', 'Ű' => 'U', 'Ý' => 'Y', 'Þ' => 'TH',

         'ß' => 'ss',

         'à' => 'a', 'á' => 'a', 'â' => 'a', 'ã' => 'a', 'ä' => 'a', 'å' => 'a', 'æ' => 'ae', 'ç' => 'c',

         'è' => 'e', 'é' => 'e', 'ê' => 'e', 'ë' => 'e', 'ì' => 'i', 'í' => 'i', 'î' => 'i', 'ï' => 'i',

         'ð' => 'd', 'ñ' => 'n', 'ò' => 'o', 'ó' => 'o', 'ô' => 'o', 'õ' => 'o', 'ö' => 'o', 'ő' => 'o',

         'ø' => 'o', 'ù' => 'u', 'ú' => 'u', 'û' => 'u', 'ü' => 'u', 'ű' => 'u', 'ý' => 'y', 'þ' => 'th',

         'ÿ' => 'y',

         // Latin symbols

         '©' => '(c)',

         // Greek

         'Α' => 'A', 'Β' => 'B', 'Γ' => 'G', 'Δ' => 'D', 'Ε' => 'E', 'Ζ' => 'Z', 'Η' => 'H', 'Θ' => '8',

         'Ι' => 'I', 'Κ' => 'K', 'Λ' => 'L', 'Μ' => 'M', 'Ν' => 'N', 'Ξ' => '3', 'Ο' => 'O', 'Π' => 'P',

         'Ρ' => 'R', 'Σ' => 'S', 'Τ' => 'T', 'Υ' => 'Y', 'Φ' => 'F', 'Χ' => 'X', 'Ψ' => 'PS', 'Ω' => 'W',

         'Ά' => 'A', 'Έ' => 'E', 'Ί' => 'I', 'Ό' => 'O', 'Ύ' => 'Y', 'Ή' => 'H', 'Ώ' => 'W', 'Ϊ' => 'I',

         'Ϋ' => 'Y',

         'α' => 'a', 'β' => 'b', 'γ' => 'g', 'δ' => 'd', 'ε' => 'e', 'ζ' => 'z', 'η' => 'h', 'θ' => '8',

         'ι' => 'i', 'κ' => 'k', 'λ' => 'l', 'μ' => 'm', 'ν' => 'n', 'ξ' => '3', 'ο' => 'o', 'π' => 'p',

         'ρ' => 'r', 'σ' => 's', 'τ' => 't', 'υ' => 'y', 'φ' => 'f', 'χ' => 'x', 'ψ' => 'ps', 'ω' => 'w',

         'ά' => 'a', 'έ' => 'e', 'ί' => 'i', 'ό' => 'o', 'ύ' => 'y', 'ή' => 'h', 'ώ' => 'w', 'ς' => 's',

         'ϊ' => 'i', 'ΰ' => 'y', 'ϋ' => 'y', 'ΐ' => 'i',

         // Turkish

         'Ş' => 'S', 'İ' => 'I', 'Ç' => 'C', 'Ü' => 'U', 'Ö' => 'O', 'Ğ' => 'G',

         'ş' => 's', 'ı' => 'i', 'ç' => 'c', 'ü' => 'u', 'ö' => 'o', 'ğ' => 'g',

         // Russian

         'А' => 'A', 'Б' => 'B', 'В' => 'V', 'Г' => 'G', 'Д' => 'D', 'Е' => 'E', 'Ё' => 'Yo', 'Ж' => 'Zh',

         'З' => 'Z', 'И' => 'I', 'Й' => 'J', 'К' => 'K', 'Л' => 'L', 'М' => 'M', 'Н' => 'N', 'О' => 'O',

         'П' => 'P', 'Р' => 'R', 'С' => 'S', 'Т' => 'T', 'У' => 'U', 'Ф' => 'F', 'Х' => 'H', 'Ц' => 'C',

         'Ч' => 'Ch', 'Ш' => 'Sh', 'Щ' => 'Sh', 'Ъ' => '', 'Ы' => 'Y', 'Ь' => '', 'Э' => 'E', 'Ю' => 'Yu',

         'Я' => 'Ya',

         'а' => 'a', 'б' => 'b', 'в' => 'v', 'г' => 'g', 'д' => 'd', 'е' => 'e', 'ё' => 'yo', 'ж' => 'zh',

         'з' => 'z', 'и' => 'i', 'й' => 'j', 'к' => 'k', 'л' => 'l', 'м' => 'm', 'н' => 'n', 'о' => 'o',

         'п' => 'p', 'р' => 'r', 'с' => 's', 'т' => 't', 'у' => 'u', 'ф' => 'f', 'х' => 'h', 'ц' => 'c',

         'ч' => 'ch', 'ш' => 'sh', 'щ' => 'sh', 'ъ' => '', 'ы' => 'y', 'ь' => '', 'э' => 'e', 'ю' => 'yu',

         'я' => 'ya',

         // Ukrainian

         'Є' => 'Ye', 'І' => 'I', 'Ї' => 'Yi', 'Ґ' => 'G',

         'є' => 'ye', 'і' => 'i', 'ї' => 'yi', 'ґ' => 'g',

         // Czech

         'Č' => 'C', 'Ď' => 'D', 'Ě' => 'E', 'Ň' => 'N', 'Ř' => 'R', 'Š' => 'S', 'Ť' => 'T', 'Ů' => 'U',

         'Ž' => 'Z',

         'č' => 'c', 'ď' => 'd', 'ě' => 'e', 'ň' => 'n', 'ř' => 'r', 'š' => 's', 'ť' => 't', 'ů' => 'u',

         'ž' => 'z',

         // Polish

         'Ą' => 'A', 'Ć' => 'C', 'Ę' => 'e', 'Ł' => 'L', 'Ń' => 'N', 'Ó' => 'o', 'Ś' => 'S', 'Ź' => 'Z',

         'Ż' => 'Z',

         'ą' => 'a', 'ć' => 'c', 'ę' => 'e', 'ł' => 'l', 'ń' => 'n', 'ó' => 'o', 'ś' => 's', 'ź' => 'z',

         'ż' => 'z',

         // Latvian

         'Ā' => 'A', 'Č' => 'C', 'Ē' => 'E', 'Ģ' => 'G', 'Ī' => 'i', 'Ķ' => 'k', 'Ļ' => 'L', 'Ņ' => 'N',

         'Š' => 'S', 'Ū' => 'u', 'Ž' => 'Z',

         'ā' => 'a', 'č' => 'c', 'ē' => 'e', 'ģ' => 'g', 'ī' => 'i', 'ķ' => 'k', 'ļ' => 'l', 'ņ' => 'n',

         'š' => 's', 'ū' => 'u', 'ž' => 'z'

     );

     $str = preg_replace(array_keys($options['replacements']), $options['replacements'], $str);

     if ($options['transliterate']) {

         $str = str_replace(array_keys($char_map), $char_map, $str);

     }

     $str = preg_replace('/[^\p{L}\p{Nd}]+/u', $options['delimiter'], $str);

     $str = preg_replace('/(' . preg_quote($options['delimiter'], '/') . '){2,}/', '$1', $str);

     $str = mb_substr($str, 0, ($options['limit'] ? $options['limit'] : mb_strlen($str, 'UTF-8')), 'UTF-8');

     $str = trim($str, $options['delimiter']);

     return $options['lowercase'] ? mb_strtolower($str, 'UTF-8') : $str;

 }









//dosya adı oluşturma





?>